/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';

.cookiesModal {
  :global {
    .ant-modal-body {
      padding-top: 0;
    }
  }
  &__title {
    @include primary-text(1.5rem, $coa-primary, 500);
    margin-bottom: 1rem;
  }
  &__collapse {
    background: transparent;
    border: none;
  }
  &__panel {
    border: none !important;
    :global {
      .ant-collapse-header {
        color: $coa-primary !important;
      }
      .ant-collapse-content-box {
        padding-right: 0;
      }
    }
  }

  &__panelContent {
    max-height: 6rem;
    overflow: auto;
    white-space: break-spaces;
    @include primary-text(0.75rem, $black, 400);
    p {
      color: inherit;
      font-size: inherit;
    }

    &__subtitle {
      text-align: center;
      @include primary-text(0.8rem, $coa-primary, 700);
      margin-block: 1rem;
    }
  }

  &__table {
    td {
      vertical-align: top;
      @include primary-text(0.75rem, $black, 400);
    }
    th {
      * {
        @include primary-text(0.75rem, $black, 500);
      }
    }
  }
}

.cookiesModalWrapper {
  z-index: 2000;
}
